<?php

$token = '7796567292:AAEpi8IJtl0StTfXVNPXNqK-D6-IDpwSTBg';
$webhookUrl = 'https://ecosreward.store/bot.php';
$logFile = '/var/www/www-root/data/www/ecosreward.store/bot_log.txt';

// Установка вебхука только при наличии параметра start
if (isset($_GET['start'])) {
    $response = file_get_contents("https://api.telegram.org/bot$token/setWebhook?url=$webhookUrl");
    $logMessage = date('Y-m-d H:i:s') . " - Setting webhook response: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
    echo $response;
    exit;
}

// Подключение к базе данных
$host = 'localhost';
$dbname = 'telegram_bot';
$dbUser = 'telegram_bot'; // замените на имя пользователя вашей БД
$dbPassword = 'telegram_bot'; // замените на пароль пользователя вашей БД

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8", $dbUser, $dbPassword);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    $logMessage = date('Y-m-d H:i:s') . " - Database connection error: " . $e->getMessage() . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
    die("Ошибка подключения к базе данных: " . $e->getMessage());
}

// Получение данных от Telegram
$input = json_decode(file_get_contents('php://input'), true);

$logMessage = date('Y-m-d H:i:s') . " - Received input: " . json_encode($input) . "\n";
file_put_contents($logFile, $logMessage, FILE_APPEND);

if ($input['message']) {
    $chatId = $input['message']['chat']['id'];
    $userId = $input['message']['from']['id'];
    $username = isset($input['message']['from']['username']) ? $input['message']['from']['username'] : null;
    $text = $input['message']['text'];

    if ($text === '/start') {
        addUserIfNotExists($pdo, $userId, $username);
        sendWelcomeMessage($pdo, $chatId, $userId);
    }
} elseif ($input['callback_query']) {
    $chatId = $input['callback_query']['message']['chat']['id'];
    $data = $input['callback_query']['data'];
    $userId = $input['callback_query']['from']['id'];
    $messageId = $input['callback_query']['message']['message_id'];

    switch ($data) {
        case 'my_profile':
            sendUserProfile($pdo, $chatId, $userId);
            break;
        case 'referral_system':
            sendReferralSystem($pdo, $chatId, $userId);
            break;
        case 'choose_colony':
            sendChooseColony($pdo, $chatId);
            break;
        case 'about_us':
            sendAboutUs($pdo, $chatId);
            break;
        case 'back':
            deleteBackButtonMessage($pdo, $userId);
            sendWelcomeMessage($pdo, $chatId, $userId);
            break;
    }

    answerCallbackQuery($input['callback_query']['id']);
}

function addUserIfNotExists($pdo, $userId, $username) {
    global $logFile;
    $stmt = $pdo->prepare("SELECT id FROM users WHERE user_id = :user_id");
    $stmt->execute(['user_id' => $userId]);
    if (!$stmt->fetch()) {
        $stmt = $pdo->prepare("INSERT INTO users (user_id, username, referral_link) VALUES (:user_id, :username, CONCAT('https://t.me/sizokrestidostavka_bot?start=', :user_id))");
        $stmt->execute(['user_id' => $userId, 'username' => $username]);
        $logMessage = date('Y-m-d H:i:s') . " - Added new user with user_id $userId\n";
        file_put_contents($logFile, $logMessage, FILE_APPEND);
    } else {
        $logMessage = date('Y-m-d H:i:s') . " - User with user_id $userId already exists\n";
        file_put_contents($logFile, $logMessage, FILE_APPEND);
    }
}

function sendWelcomeMessage($pdo, $chatId, $userId) {
    global $token, $logFile;
    $keyboard = [
        'inline_keyboard' => [
            [['text' => 'Мой профиль', 'callback_data' => 'my_profile']],
            [['text' => 'Реферальная система', 'callback_data' => 'referral_system']],
            [['text' => 'Выбрать колонию', 'callback_data' => 'choose_colony']],
            [['text' => 'О нас', 'callback_data' => 'about_us']]
        ]
    ];
    $replyMarkup = json_encode($keyboard);
    $response = file_get_contents("https://api.telegram.org/bot$token/sendMessage?chat_id=$chatId&text=Приветствуем! Это твой Дима БОТ Чей чей.&reply_markup=$replyMarkup");
    $responseJson = json_decode($response, true);
    if (isset($responseJson['result']['message_id'])) {
        updateBackButtonMessageId($pdo, $userId, null);
    }
    $logMessage = date('Y-m-d H:i:s') . " - Sent welcome message to chat ID $chatId: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function sendUserProfile($pdo, $chatId, $userId) {
    global $token, $logFile;
    $stmt = $pdo->prepare("SELECT * FROM users WHERE user_id = :user_id");
    $stmt->execute(['user_id' => $userId]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    // Формируем сообщение с правильными символами новой строки
    $message = "Айди профиля: {$user['id']}\n";
    $message .= "Юзернейм: {$user['username']}\n";
    $message .= "Баланс: {$user['balance']}\n";
    $message .= "Количество рефералов: {$user['referral_count']}\n";
    $message .= "Количество заказов: {$user['order_count']}";

    $keyboard = [
        'inline_keyboard' => [
            [['text' => 'Назад', 'callback_data' => 'back']]
        ]
    ];
    $replyMarkup = json_encode($keyboard);

    // Отправляем сообщение с правильными символами новой строки
    $response = file_get_contents("https://api.telegram.org/bot$token/sendMessage?chat_id=$chatId&text=" . urlencode($message) . "&reply_markup=$replyMarkup");
    $responseJson = json_decode($response, true);
    if (isset($responseJson['result']['message_id'])) {
        updateBackButtonMessageId($pdo, $userId, $responseJson['result']['message_id']);
    }
    $logMessage = date('Y-m-d H:i:s') . " - Sent user profile to chat ID $chatId: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function sendReferralSystem($pdo, $chatId, $userId) {
    global $token, $logFile;
    $stmt = $pdo->prepare("SELECT referral_link FROM users WHERE user_id = :user_id");
    $stmt->execute(['user_id' => $userId]);
    $user = $stmt->fetch(PDO::FETCH_ASSOC);

    $message = "Уникальная ссылка на приглашение рефералов: {$user['referral_link']}";

    $keyboard = [
        'inline_keyboard' => [
            [['text' => 'Назад', 'callback_data' => 'back']]
        ]
    ];
    $replyMarkup = json_encode($keyboard);

    // Отправляем сообщение с правильными символами новой строки
    $response = file_get_contents("https://api.telegram.org/bot$token/sendMessage?chat_id=$chatId&text=" . urlencode($message) . "&reply_markup=$replyMarkup");
    $responseJson = json_decode($response, true);
    if (isset($responseJson['result']['message_id'])) {
        updateBackButtonMessageId($pdo, $userId, $responseJson['result']['message_id']);
    }
    $logMessage = date('Y-m-d H:i:s') . " - Sent referral system to chat ID $chatId: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function sendChooseColony($pdo, $chatId) {
    global $token, $logFile;
    $stmt = $pdo->query("SELECT name FROM colonies");
    $colonies = $stmt->fetchAll(PDO::FETCH_COLUMN);

    $keyboard = [];
    foreach ($colonies as $colony) {
        $keyboard[] = [['text' => $colony, 'callback_data' => 'colony_' . $colony]];
    }
    $keyboard[] = [['text' => 'Назад', 'callback_data' => 'back']];

    $replyMarkup = json_encode(['inline_keyboard' => $keyboard]);
    $response = file_get_contents("https://api.telegram.org/bot$token/sendMessage?chat_id=$chatId&text=Выберите колонию:&reply_markup=$replyMarkup");
    $responseJson = json_decode($response, true);
    if (isset($responseJson['result']['message_id'])) {
        updateBackButtonMessageId($pdo, $userId, $responseJson['result']['message_id']);
    }
    $logMessage = date('Y-m-d H:i:s') . " - Sent choose colony to chat ID $chatId: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function sendAboutUs($pdo, $chatId) {
    global $token, $logFile;
    $stmt = $pdo->query("SELECT info FROM company_info LIMIT 1");
    $info = $stmt->fetchColumn();

    $message = "О нас:\n$info";

    $keyboard = [
        'inline_keyboard' => [
            [['text' => 'Назад', 'callback_data' => 'back']]
        ]
    ];
    $replyMarkup = json_encode($keyboard);

    // Отправляем сообщение с правильными символами новой строки
    $response = file_get_contents("https://api.telegram.org/bot$token/sendMessage?chat_id=$chatId&text=" . urlencode($message) . "&reply_markup=$replyMarkup");
    $responseJson = json_decode($response, true);
    if (isset($responseJson['result']['message_id'])) {
        updateBackButtonMessageId($pdo, $userId, $responseJson['result']['message_id']);
    }
    $logMessage = date('Y-m-d H:i:s') . " - Sent about us to chat ID $chatId: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function answerCallbackQuery($callbackQueryId) {
    global $token, $logFile;
    $response = file_get_contents("https://api.telegram.org/bot$token/answerCallbackQuery?callback_query_id=$callbackQueryId");
    $logMessage = date('Y-m-d H:i:s') . " - Answered callback query ID $callbackQueryId: " . $response . "\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function updateBackButtonMessageId($pdo, $userId, $messageId) {
    global $logFile;
    $stmt = $pdo->prepare("UPDATE users SET back_button_message_id = :message_id WHERE user_id = :user_id");
    $stmt->execute(['message_id' => $messageId, 'user_id' => $userId]);
    $logMessage = date('Y-m-d H:i:s') . " - Updated back button message ID for user_id $userId to $messageId\n";
    file_put_contents($logFile, $logMessage, FILE_APPEND);
}

function deleteBackButtonMessage($pdo, $userId) {
    global $token, $logFile;
    $stmt = $pdo->prepare("SELECT back_button_message_id FROM users WHERE user_id = :user_id");
    $stmt->execute(['user_id' => $userId]);
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    if ($row && $row['back_button_message_id']) {
        $messageId = $row['back_button_message_id'];
        $chatId = getChatIdByUserId($pdo, $userId); // Предполагается, что у вас есть функция для получения chatId по userId
        if ($chatId) {
            $response = file_get_contents("https://api.telegram.org/bot$token/deleteMessage?chat_id=$chatId&message_id=$messageId");
            $logMessage = date('Y-m-d H:i:s') . " - Deleted back button message ID $messageId in chat ID $chatId: " . $response . "\n";
            file_put_contents($logFile, $logMessage, FILE_APPEND);
            updateBackButtonMessageId($pdo, $userId, null); // Очищаем back_button_message_id после удаления
        }
    }
}

function getChatIdByUserId($pdo, $userId) {
    global $logFile;
    $stmt = $pdo->prepare("SELECT chat_id FROM users WHERE user_id = :user_id");
    $stmt->execute(['user_id' => $userId]);
    $row = $stmt->fetch(PDO::FETCH_ASSOC);
    if ($row) {
        return $row['chat_id'];
    }
    return null;
}