<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTransactionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('transactions', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('user_id');
            $table->bigInteger('trans_id');
            $table->string('description');
            $table->string('amount');
            $table->string('old_bal');
            $table->string('new_bal');
            $table->boolean('status')->comment('0 = Purchase Plan, 1 = Deposit, 2 = Bal Trans, 3 = Withdraw, 4 = Win');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('transactions');
    }
}
