<?php
header('Content-Type: application/json');

session_start();

if (!isset($_SESSION['user_id'])) {
    echo json_encode(['error' => ' ']);
    exit;
}

$session_id = isset($_POST['session_id']) ? intval($_POST['session_id']) : 0;
$message_text = isset($_POST['text']) ? trim($_POST['text']) : '';

if (!$session_id || !$message_text) {
    echo json_encode(['error' => ' ']);
    exit;
}

//    
$host = 'localhost';
$dbname = 'sessions';
$username = 'root';
$password = '';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    //       
    // ,  Telegram API   
    $bot_token = 'YOUR_BOT_TOKEN';
    $chat_id = 'USER_CHAT_ID';  //   
    $url = "https://api.telegram.org/bot{$bot_token}/sendMessage";
    $data = ['chat_id' => $chat_id, 'text' => $message_text];
    $options = [
        'http' => [
            'header'  => "Content-type: application/x-www-form-urlencoded\r\n",
            'method'  => 'POST',
            'content' => http_build_query($data),
        ],
    ];
    $context  = stream_context_create($options);
    $result = file_get_contents($url, false, $context);

    if ($result === FALSE) {
        echo json_encode(['error' => '   ']);
        exit;
    }

    echo json_encode(['message' => ' ']);
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>