<?php
header('Content-Type: application/json');

// Подключение к базе данных
$host = 'localhost';
$dbname = 'sessions';
$username = 'root';
$password = '';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    $data = json_decode(file_get_contents('php://input'), true);
    $user_id = $data['user_id'];

    if (!$user_id) {
        echo json_encode(['error' => 'User ID is required']);
        exit;
    }

    $stmt = $pdo->prepare("INSERT INTO sessions (user_id) VALUES (:user_id)");
    $stmt->bindParam(':user_id', $user_id);
    $stmt->execute();

    echo json_encode(['message' => 'Session stored successfully']);
} catch (PDOException $e) {
    echo json_encode(['error' => $e->getMessage()]);
}
?>