<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Веб-Панель</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container mt-5">
        <h1>Список Сессий</h1>
        <table class="table">
            <thead>
                <tr>
                    <th>ID Сессии</th>
                    <th>ID Пользователя</th>
                    <th>Дата Создания</th>
                    <th>Действия</th>
                </tr>
            </thead>
            <tbody id="sessions-table-body">
                <!-- Сессии будут загружены сюда -->
            </tbody>
        </table>
    </div>

    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script>
        $(document).ready(function() {
            $.getJSON('api/sessions.php', function(data) {
                let tableBody = $('#sessions-table-body');
                data.forEach(session => {
                    let row = `
                        <tr>
                            <td>${session.id}</td>
                            <td>${session.user_id}</td>
                            <td>${new Date(session.created_at).toLocaleString()}</td>
                            <td>
                                <button class="btn btn-primary view-messages" data-session-id="${session.id}">Просмотреть Сообщения</button>
                                <button class="btn btn-success login-as-user" data-session-id="${session.id}">Войти Под Пользователем</button>
                            </td>
                        </tr>
                    `;
                    tableBody.append(row);
                });
            });

            $(document).on('click', '.view-messages', function() {
                let sessionId = $(this).data('session-id');
                window.location.href = `messages.php?session_id=${sessionId}`;
            });

            $(document).on('click', '.login-as-user', function() {
                let sessionId = $(this).data('session-id');
                $.post('api/login.php', { session_id: sessionId }, function(response) {
                    alert('Вы вошли под пользователем!');
                    // Перенаправление на страницу чата или другую страницу
                    window.location.href = 'chat.php';
                }).fail(function(error) {
                    alert('Ошибка при входе под пользователем: ' + error.responseText);
                });
            });
        });
    </script>
</body>
</html>